MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000164WebSolarLogDevicespublic2013-11-06 01:152014-02-27 18:28
Reporterbpbuster 
Assigned Tomfrijmann 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformArm - Raspberry pi BOSLinux ARM OS Version3.6.11
Product VersionRelease 1.0.0 
Target VersionRelease 1.1.0Fixed in VersionRelease 1.1.0 
Summary0000164: Add Delta device to Trunk
DescriptionCan the following be added to trunk so updates do not mean manual changes. I have been using the communication classes in trunk.
Steps To ReproduceAdd the following:


./classes/services/DeviceService.php:92
                               
       array('value'=>'DeltaSolivia','type'=>'production','name'=>'DeltaSolivia'),
                               
       
       
       
./classes/objects/Device.php:69:
       
       $communicationService = new CommunicationService();
       $communication = $communicationService->load($this->communicationId);
       
        if ($this->deviceApi == "DeltaSolivia") {
            new DeltaSolivia($config->aurorapath, $this->comAddress, $config->comDebug);
            $api->setCommunication($communication, $this);
            return $api;
        }

./js/templates/misc.hb:35:

        {{#if_eq this.deviceApi compare="DeltaSolivia"}}
        This device is using Python.

        The software can be installed using

        apt-get install python
        {{/if_eq}}
       
./classes/devices/

Delta Trunk 20131105.zip needs to be extracted into ./classes/devices/
TagsNo tags attached.
Attached Fileszip file icon Delta Trunk 20131105.zip [^] (10,073 bytes) 2013-11-06 01:15
zip file icon Delta Trunk 20140128.zip [^] (3,235 bytes) 2014-01-28 01:12

- Relationships

-  Notes
(0000262)
bpbuster (reporter)
2014-01-28 01:37

Add the following:


./classes/services/DeviceService.php:101
                                      array('value'=>'DeltaSolivia','type'=>'production','name'=>'DeltaSolivia'),

./classes/objects/Device.php:68:
       
        if ($this->deviceApi == "DeltaSolivia") {
            $api = new DeltaSolivia($config->aurorapath, $this->comAddress, $config->comDebug);
        }

./js/templates/misc.hb:35:

 {{#if_eq this.deviceApi compare="DeltaSolivia"}}
                                This device is using Python scripts.

                                The software can be found here:

                                https://github.com/bprice/DeltaPVOutput [^]
                                {{/if_eq}}


Delta Trunk 20140128.zip needs to be extracted into ./classes/devices/

As I am currently working in solar field I have tested this code on:

Delta Solivia 2.5
Delta Solivia 3.3
Delta Solivia 5.0

This is untested on

Delta Solivia 3.0
Delta Solivia 15 TL
Delta Solivia 20 TL
(0000321)
bpbuster (reporter)
2014-02-25 12:08
edited on: 2014-02-25 12:14

I think there is a spelling error on line 95 in classes/objects/Device.php

 if ($this->deviceApi == "deltaSolivia")

should be

if ($this->deviceApi == "DeltaSolivia")

and on line 65 in js/templates/misc.hb

 {{#if_eq this.deviceApi compare="deltaSolivia"}}

should be

 {{#if_eq this.deviceApi compare="DeltaSolivia"}}

(0000322)
mdiphoorn (administrator)
2014-02-25 19:26

I have changed this in the current trunk, can you please test if everything is working. If so we can close this ticket.
(0000326)
bpbuster (reporter)
2014-02-26 01:06

Running WSL update and then running

git clone https://github.com/bprice/DeltaPVOutput.git [^] DeltaSoliviaPy

now gives delta solivia support.

Thank you for adding this. I do hope more Delta inverter owners start using this excellent piece of software.

This can now be closed
(0000332)
mfrijmann (administrator)
2014-02-27 18:28

Looks like this issue is resolved.

@BPbuster, thanx for your time and effort on this issue!

- Issue History
Date Modified Username Field Change
2013-11-06 01:15 bpbuster New Issue
2013-11-06 01:15 bpbuster File Added: Delta Trunk 20131105.zip
2014-01-28 01:12 bpbuster File Added: Delta Trunk 20140128.zip
2014-01-28 01:37 bpbuster Note Added: 0000262
2014-01-30 13:43 mfrijmann Assigned To => mdiphoorn
2014-01-30 13:43 mfrijmann Status new => assigned
2014-01-31 16:08 mdiphoorn Product Version => Release 1.0.0
2014-01-31 16:08 mdiphoorn Target Version => Release 1.1.0
2014-02-25 12:08 bpbuster Note Added: 0000321
2014-02-25 12:14 bpbuster Note Edited: 0000321 View Revisions
2014-02-25 19:26 mdiphoorn Note Added: 0000322
2014-02-25 19:30 Changeset attached => SourceForge trunk r1692
2014-02-26 01:06 bpbuster Note Added: 0000326
2014-02-27 13:40 mfrijmann Note Added: 0000330
2014-02-27 13:40 mfrijmann Assigned To mdiphoorn => mfrijmann
2014-02-27 13:40 mfrijmann Status assigned => feedback
2014-02-27 18:26 mfrijmann Note Deleted: 0000330
2014-02-27 18:28 mfrijmann Note Added: 0000332
2014-02-27 18:28 mfrijmann Status feedback => resolved
2014-02-27 18:28 mfrijmann Fixed in Version => Release 1.1.0
2014-02-27 18:28 mfrijmann Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker